ctwm (4.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Add new build-dep libxrandr-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Dec 2023 11:52:39 -0500

ctwm (4.0.3-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + ctwm: Drop versioned constraint on x11-common in Pre-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:57:15 +0100

ctwm (4.0.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #417526)
    + Switch to new upstream location.
  * Bump Standards-Version to 4.6.0.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Switch to cmake buildsystem.
    + Update Vcs-* fields.
    + Use Rules-Requires-Root: no.
  * debian/rules: Rewrite with dh sequencer.
  * debian/patches: Drop all previous patches for a clean packaging.
  * debian/copyright: Rewrite with machine-readable copyright.
  * debian/ctwm.desktop: Add desktop file for usr/share/xsessions/.
    (Closes: #330045) (LP: #395575)
  * debian/ctwm.alternatives: Use declarative alternatives system.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 11:01:49 -0400

ctwm (3.7-5) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957114)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update to compat level 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 05 Aug 2020 16:31:12 +0100

ctwm (3.7-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Source format 3.0 (quilt).
  * Debhelper compat 9; closes: #817322, #817416.
  * Drop readme.vms; closes: #367356.
  * Fix a segfault on workspace switch; closes: #662860.
  * Don't ignore errors from make.
  * Drop vim droppings from the end of the changelog.
  * Fix a crash on showing the windowlist; closes: #649671.
  * Pick an upstream fix for workspace manager drag; closes: #585693.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 09:33:17 +0200

ctwm (3.7-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly remove the x-window-manager alternative on package removal.
    (Closes: #668449)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Jan 2013 15:35:21 +0100

ctwm (3.7-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libjpeg-dev, not libjpeg62-dev (closes: #641105)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 16:49:16 +0100

ctwm (3.7-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515492).
  * debian/rules
    - (build-stamp): Define CC before call to xmkmf(1).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Mar 2010 14:57:01 +0200

ctwm (3.7-3) unstable; urgency=low

  * Merge Luk Claes's NMU.  Thanks, Luk!  Luk's changes are:
    + Make ctwm pre-depend on x11-common (>= 1:7.0.0).
    + Correct comment in the menu-method file.
    + I reverted Luk's deletion of the SVN Id keyword and Vim modeline in this
      changelog.  (We finally got a comment character for control files, now
      we need one for changelogs as well.  Lesson?  Never, ever, ever, ever
      make a file format that will be machine-parsed by anything without
      supporting comments.  ALGOL 60 called and wants its innovations back.)
  * I had already done the following in SVN but was too slow to release.
    Shame on me.
    + Build-depend on xutils-dev instead of xutils for the X11R7 transition.
    + Adjust debian/rules and debian/postinst to use FHS paths, moving from
      /usr/X11R6 to /usr.  Based on a patch by Steve Langasek.  Thanks, Steve!
      (Closes: #364239)
    + Point menu-method to install-menu interpreter in /usr/bin, not
      /usr/sbin, per Lintian.
    + Add empty binary-indep target in debian/rules to quiet Lintian error.
  * Fix SEGV when attempting to bring up the TwmWindows menu when no workspace
    manager is active.  Thanks to Mike O'Connor for the analysis and the
    patch! (Closes: #375240)
  * Bump Standards-Version from 3.6.2 to 3.7.2; required changes involving
    placement of files in X11 paths and pre-dependency on x11-common made as
    described above.

 -- Branden Robinson <branden@debian.org>  Fri, 21 Jul 2006 10:27:56 -0400

ctwm (3.7-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend against xutils-dev for the X11R7 transition, pre-depend on
    a recent x11-common and adjust debian/rules for the FHS paths
    (Closes: #364239).

 -- Luk Claes <luk@debian.org>  Fri, 12 May 2006 22:35:26 +0200

ctwm (3.7-2) unstable; urgency=low

  * Add build-dependency on libjpeg62-dev to fix FTBFS.  Shame on me for not
    building in a clean chroot.

 -- Branden Robinson <branden@debian.org>  Wed,  2 Nov 2005 15:00:00 -0500

ctwm (3.7-1) unstable; urgency=low

  * Merge upstream 3.7 release.
    + The upstream maintainer is now Richard Levitte, not Claude Lecommandeur.
    + Add workspace context for keybindings.
    + Add AlwaysSqueezeToGravity configuration keyword and feature.
    + Add TwmKeys and TwmVisible menus.
    + Implement preliminary GNOME compliance (see README.gnome and TODO.gnome
      in /usr/share/doc/ctwm.)
    + Add IconifyStyle configuration keyword and feature for "fancy" graphical
      effects.
    + Add JPEG/JFIF image support, using "jpeg:filename" syntax.
    + Add f.showbackground action, which unmaps all windows in the current
      workspace.
    + Add preliminary support for Xinerama extension using the VirtualScreens
      configuration keyword.
    + Change Imakefile to support a distribution target.
    + Change :xpm:cross to be a bit larger, appear more three-dimensional, and
      be more visible even in very dark configurations.
    + Make AlwaysSqueezeToGravity work for all windows if no window list is
      given.
    + Add NoImagesInWorkSpaceManager configuration keyword and feature which
      prevents background images from being displayed in the workspace map.
    + Add -cfgchk command-line option, which simply performs a parse check on
      the configuration file, without launching the window manager.
    + Change the behavior of DontMoveOff/MoveOffResistance (see upstream
      changelog).
    + Change behavior of random placement to respect DontMoveOff (see upstream
      changelog).
    + Change f.warpring action so that the icon manager doesn't get enter and
      leave events if IconManagerFocus is set.
    + Add f.movetoprevworkspace, f.movetonextworkspace,
      f.movetoprevworkspaceandfollow, and f.movetonextworkspaceandfollow
      actions (see upstream changelog).
    + Add "vertical" as a parameter to the f.fill action (see upstream
      changelog).
    + Add hack to ensure that a window that had been maximized keeps the focus
      when it is restored to its previous size.
    + Fix f.zoom action to stop moving the window up.
    + Add IgnoreTransient configuration keyword and feature to ignore a
      specified list of transient windows.
    + Optimize workspace switch performance by preventing redraws of windows
      that occupy all workspaces when switching workspaces.
    + Make ctwm aware of the "mysterious GTK+ group leader" windows.
    + Fix BorderResizeCursors to work for top and left borders when
      non-3D-borders are used.
    + Stop GetWMPropertyString() from leaking memory.
    + Fix bug in f.warpring action where the pointer would be moved to the
      right and end up outside the title bar.
    + Fix bug in f.warpring action where if the active window was closed and
      the cursor ended up in the root window, it wouldn't move until moved
      with a pointer motion event.
    + Add NoWarpToMenuTitle configuration keyword to keep the cursor from
      warping to the menu title if the menu won't fit on the screen below the
      current cursor position.
    + Initialize Scr->workSpaceMgr.windowFont.
    + Add support for full GNU regular expressions in window and class names
      by defining USE_GNU_REGEX in the Imakefile (disabled by default).
    + Add DontToggleWorkSpaceManagerState configuration keyword to turn off
      the feature which toggles the workspace manager state between map and
      button when the control key is pressed and the workspace manager window
      is in focus.
    + Add a TWMAllIcons menu, which lists all iconified windows on all
      workspaces.
    + Add f.changesize action, which allows you to change the size of the
      focused window bia menus and key bindings.
    + Fix focus problems with f.changesize action and add ability to set a new
      fixed window size.
    + Update email address used for upstream bug reports when ctwm crashes.
    + Convert all K&R function headers to use ANSI C prototypes.
    + Only use the DefaultFunction if no function was found.
    + Modify random placement algorithm when DontMoveOff is set (see upstream
      changelog).
    + Fix bug where resizing windows from the menu when not using 3D borders
      would move the target window down and right by a border width.
    + Enhance info window to include the outer geometry and 3D border width.
    + Rework SIGHUP handler to set a global flag and have CtwmNextEvent()
      react to it by calling DoRestart(). [BR: I think this is how W. Richard
      Stevens and other Unix gurus have been telling people how to write
      signal handlers for years...]
    + Improve portability to VMS.
    + Support GCC_PEDANTIC Imakefile variable, which turns on all kinds of
      paranoid CCOPTIONS (off by default).
    + Fix .ctwm-sounds file parser to permit spaces embedded in sound file
      names, and trip spaces from the beginning and end of file names and
      event tokens.
    + Add a ctwm.spec file for RPM building.
    + Pass PIXMAP_DIRECTORY, IMCONV, GNOME, SOUNDS, SESSION, and I18N
      variables to m4.
    + Document the sound feature in the manual page.
    + Add "rpm" target to Imakefile to enable building an RPM package directly
      from a distribution tarball.
    + Make library locations configurable through use of USER_* Make
      variables (see Imakefile.local-template in source package).
    + Make configuration easier on VMS by moving configuration definitions to
      descrip.local-template.
    + Update upstream maintainer's email address.
    + Note that the gnu-emacs[1-7].xpm files formerly shipped in
      /usr/X11R6/include/X11/pixmaps/ are no longer in this package, having
      been dropped upstream.

  * Update Debian copyright file to reflect new upstream source and
    maintainer.

  * debian/rules: Add README.gnome and TODO.gnome as arguments to
    dh_installdocs.

  * Move Debian customizations of Imakefile to Imakefile.local since most of
    them have been rendered unncessary by upstream.  Only two configuration
    differences from upstream remain; switch on USE_SOUND (rplay) and
    USE_GNU_REGEX.

  * Drop patch to gram.y; upstream has fixed the parsing problems with GNU
    Bison 1.50 and later.

  * Forward-port patch to ctwm.c to use locale.h instead of Xlocale.h for
    locale functions if the version 2 or later of the GNU C library is in use.

  * Drop patch that prevents random placement of windows with explicit
    geometry (merged upstream).

  * Change default system.ctwmrc to restore upstream default placement of
    workspace manager.  Track upstream change to location of icon manager
    geometry definition and remove the workspace manager from the list of
    windows in the icon manager.

  * Revert Debian changes to the manpage for the time being, as it will be
    very time-consuming to merge them with the extensive upstream revisions.

  * debian/rules: Create the build-stamp file in a more idiomatic way.

  * Modify upstream Imakefile to rename CONFDIR variable to CTWMCONFDIR (since
    CONFDIR in already used by X11.tmpl), and define the values of PIXMAPDIR
    and CTWMCONFDIR to conform to Debian conventions.  (This doesn't actually
    change the locations of any unpacked files.)

  * Update Debian rules file to stop passing now-uneeded symbol definitions to
    make, stop moving files that are now installed to the correct locations my
    the upstream install rule, and update a comment to reflect a package name
    change (fvwm-common -> fvwm-icons).

  * Re-indent some Debian changelog entries from 1999 to shut up Lintian
    warnings.

  * Move pre-1999 Debian changelog entries to changelog.Debian.old to quiet
    Lintian warnings about their format (which was legal, or at least far more
    slackly enforced, back then).

  * Bump Standards-Version from 3.6.1 to 3.6.2.  No changes necessary.

  * Rework logic passing flags to the C compiler in the Debian rules file.
    Use and export CFLAGS instead of messing with CDEBUGFLAGS, since the
    upstream Imakefile uses CDEBUGFLAGS for its own purposes.  Always switch
    on -g, and set the optimization level per Debian Policy section 10.1.

  * Update examples.  Ship lynx.ctwmrc.m4 as-is instead of pre-processing it
    with m4, so that we actually provide an example of a startup file that
    uses m4.  Remove build-dependency on m4.  Ship the new system.ctwmrc.gnome
    file as an example of how to make CTWM work with GNOME.

  * Update ctwm's crash handler to include instructions on how to report bugs
    to the Debian Bug Tracking System (leaving the existing text requesting
    reports upstream intact modulus some grammar edits).

 -- Branden Robinson <branden@debian.org>  Wed,  2 Nov 2005 13:03:57 -0500

ctwm (3.6-2) unstable; urgency=low

  * Fix typo in copyright file.
  * Define I18N symbol in Imakefile per request by Alexander Mikhailian.
    (Closes: #250905)
  * Permit non-transient windows in the same group (e.g., Mozilla browser
    windows) to occupy different workspaces (thanks, Arun A. Tharuvai).
    (Closes: #234782)
  * Don't randomly place windows that have an explicit geometry (thanks,
    Terran Melconian).  (Closes: #224348)
  * Remove redundant AllTarget(ctwm) rule from Imakefile; this is already
    handled by ComplexProgramTarget(ctwm).
  * Enable preprocessing of manpage by using undocumented(!) -D option to
    xmkmf.
  * Replace hash character with "XCOMM" in manpage so the preprocessor doesn't
    get confused.
  * Quote all parameter values in menu file; shuts up lintian warnings.
  * Update build-dependencies to reflect (XFree86) X library package split.
  * Increment Standards-Version to 3.6.1; no changes needed.
  * Resynchronize menu-method file with twm's (see #193759).

 -- Branden Robinson <branden@debian.org>  Fri, 18 Jun 2004 23:21:26 -0500

ctwm (3.6-1) unstable; urgency=medium

  * New upstream version (includes xpm directory inadvertently omitted in
    upstream release).
  * Fixes Bison-related FTBFS problem, hence medium severity.
  * ctwm.man: many roff cleanups and minor edits
  * gram.y: fix syntax problems that choke GNU Bison 1.50 (based on patch from
    Matt Kraai) (Closes: #167063)
  * debian/conffiles: deleted; debhelper handles this
  * debian/control: increment Standards-Version to 3.5.8 (no changes)
  * debian/copyright: updated
  * debian/patches: resynced and re-generated

 -- Branden Robinson <branden@debian.org>  Sat, 23 Nov 2002 19:03:17 -0500

ctwm (3.5.2-7) unstable; urgency=low

  * debian/rules:
    - eliminate new null binary-indep rule; Policy doesn't require it unless
      binary-indep packages are built -- none are by this package
    - cosmetic changes, mostly for consistency with my other packages

 -- Branden Robinson <branden@debian.org>  Thu,  3 Oct 2002 01:44:21 -0500

ctwm (3.5.2-6) unstable; urgency=low

  * Get right with Policy version 3.5.7.
  * debian/control:
    - increment versioned build-dependency on debhelper to (>= 4.0)
    - increment Standards-Version to 3.5.7
  * debian/rules:
    - use debhelper version 4 compatibility
    - support "noopt" flag in DEB_BUILD_OPTIONS
    - clean up paths in install rule
    - write null rule for "binary-indep" target

 -- Branden Robinson <branden@debian.org>  Wed,  2 Oct 2002 00:44:22 -0500

ctwm (3.5.2-5) unstable; urgency=low

  * debian/patches: change sinclude() to undivert() so m4 and the menu system
    get along again (Thanks, Bill Allombert and Mark Eichin) (Closes: #117533)

 -- Branden Robinson <branden@debian.org>  Sat, 23 Feb 2002 15:31:31 -0500

ctwm (3.5.2-4) unstable; urgency=low

  * debian/prerm: update-alternatives should only be called on remove or
    deconfigure

 -- Branden Robinson <branden@debian.org>  Thu, 22 Feb 2001 22:25:44 -0500

ctwm (3.5.2-3) unstable; urgency=low

  * debian/control:
    - add xutils to build dependencies (Closes: #86984)
    - change build dependency on xlib6g-dev and libxpm4-dev to xlibs-dev
    - bumped Standards-Version to 3.5.2 (already compliant)

 -- Branden Robinson <branden@debian.org>  Thu, 22 Feb 2001 12:36:10 -0500

ctwm (3.5.2-2) unstable; urgency=low

  * Roman Hodek spoon-feeds me another missing build dependency (on
    debhelper). (Closes: #69108)

 -- Branden Robinson <branden@debian.org>  Mon, 14 Aug 2000 21:47:31 -0500

ctwm (3.5.2-1) unstable; urgency=low

  * new upstream version (3.5.1 and this version were missed for a long
    time because I didn't know where ctwm's official home was) (Closes:
    #68992)
  * resynchronized Debian patches
  * debian/copyright: rewritten

 -- Branden Robinson <branden@debian.org>  Sat, 12 Aug 2000 01:32:49 -0500

ctwm (3.5-17) unstable; urgency=low

  * debian/control: I stupidly left out a build-dependency on librplay3-dev;
    thanks again to Roman Hodek (Closes: #54362)
  * debian/menu-method: remove redundant escaping from text function

 -- Branden Robinson <branden@debian.org>  Wed, 12 Jan 2000 23:21:56 -0500

ctwm (3.5-16) unstable; urgency=low

  * Imakefile:
    - define USE_SOUND; activates rplay sound support
    - define X11R6; activates ICE session management
  * debian/control:
    - added bison and m4 to Build-Depends (thanks, Roman Hodek)

 -- Branden Robinson <branden@debian.org>  Sat,  8 Jan 2000 16:29:18 -0500

ctwm (3.5-15) unstable; urgency=low

  * correct menu-method with respect to menu entries with embedded quotes

 -- Branden Robinson <branden@debian.org>  Thu,  6 Jan 2000 13:27:13 -0500

ctwm (3.5-14) unstable; urgency=low

  * made compliant with Standards Version 3.1.1
  * made compliant with new proposed X Window System policies
  * debian/control:
    - added Build-Depends
    - Provides: x-window-manager
  * debian/postinst: stepped alternative priority down to 40

 -- Branden Robinson <branden@debian.org>  Fri, 31 Dec 1999 12:09:28 -0500

ctwm (3.5-13) unstable; urgency=low

  * debian/postinst: whack /etc/X11/ctwm on purge (Closes: #49209)

 -- Branden Robinson <branden@debian.org>  Sat,  6 Nov 1999 02:43:04 -0500

ctwm (3.5-12) unstable; urgency=low

  * Forced new source upload, something went wonky.
  * Updated copyright file again.
  * Updated package description.
  * debian/menu-method:
    - clarified comment
    - removed "pin menu" item from end of all generated menus
  * system.ctwmrc: extensive changes

 -- Branden Robinson <branden@debian.org>  Tue,  2 Nov 1999 21:09:01 -0500

ctwm (3.5-11) unstable; urgency=low

  * Converted to debhelper.
  * Updated copyright file.
  * debian/rules:
    - totally rewritten to use debhelper
    - turn I18N define back on
  * Ship upstream changelog, PROBLEMS, and README files.
  * Fully supports Debian menu system.

 -- Branden Robinson <branden@debian.org>  Sat, 30 Oct 1999 03:56:18 -0400

ctwm (3.5-10) unstable; urgency=low

  * Edit extended description again (better explanation of package name)
  * Ship /etc/menu-methods/ctwm with execute bits on (the postinst chmodded
    it anyway, but...)
  * Lintian 1.2-1 seal of approval.

 -- Branden Robinson <branden@debian.org>  Tue, 20 Apr 1999 14:58:56 -0400

ctwm (3.5-9) unstable; urgency=low

  * New maintainer
  * Updated and expanded copyright file
  * Bumped Standards-Version to 2.5.0
  * Rewrote extended description
  * Rewrote postinst
  * Rewrote postrm
  * Register menu entry (as well as existing menu-method)
  * Ship additional example file levitte.ctwmrc (in /usr/doc/ctwm/examples)
  * Install pixmaps to /usr/X11R6/include/X11/pixmaps instead of
    /usr/X11R6/lib/X11/twm/images
  * Uncomment and change PixmapDirectory in example file lynx.ctwmrc to
    /usr/include/X11/pixmaps/
  * Comment out IconDirectory in example file lynx.ctwmrc
  * Don't compile with -fno-strength-reduce and -fomit-frame-pointer anymore
  * A few other cosmetic tweaks invisible to the binary package
  * Imakefile: change PIXMAP_DIRECTORY to /usr/include/X11/pixmaps

 -- Branden Robinson <branden@debian.org>  Tue, 20 Apr 1999 03:41:06 -0400
